View Issue Details

IDProjectCategoryView StatusLast Update
0001933LazarusLCLpublic2008-07-10 01:01
ReporterGraeme GeldenhuysAssigned ToPaul Ishenin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionnot fixable 
Platformi386OSUbuntu LinuxOS Version5.10
Product Version0.9.13 (SVN)Product Build9015 
Target Version1.0.0Fixed in Version0.9.25 (SVN) 
Summary0001933: TComboBox.DropDownCount does not work
DescriptionWhen setting the DropDownCount it ignores the property and builds a list as long as can fit on the screen. This was tested under GTK and GTK2 only. See steps to reproduce.
Steps To ReproduceCreate a new application, drop two T ComboBox controls on the form. Create a FormCreate event and add this code.

procedure TForm1.FormCreate(Sender: TObject);
begin
  ComboBox2.Style := csDropDownList;
  ComboBox2.DropDownCount := 8;
  ComboBox2.Items.Clear;
  ComboBox2.Items.Add('Line one');
  ComboBox2.Items.Add('Line two');
  ComboBox2.Items.Add('Line three');
  ComboBox2.Items.Add('Line four');
  ComboBox2.Items.Add('Line five');
  ComboBox2.Items.Add('Line six');
  ComboBox2.Items.Add('Line seven');
  ComboBox2.Items.Add('Line eight');
  ComboBox2.Items.Add('Line nine');
  ComboBox2.Items.Add('Line ten');
  ComboBox2.ItemIndex := 0;
end;
TagsNo tags attached.
Fixed in Revision
LazTarget1.0
WidgetsetGTK, GTK 2
Attached Files

Activities

Paul Ishenin

2008-04-03 02:51

manager   ~0018569

According to gtk mail list the inability to control drop down count is by desing of GtkCombobox.

You can read for example this thread: http://www.mail-archive.com/gtk-app-devel-list@gnome.org/msg07671.html

Anyway, GtkCombobox doesnot provide any way to control this. So this issue is not fixable.

Btw, DropDownCount works well in win32 and qt widgetsets.

Issue History

Date Modified Username Field Change
2006-03-26 04:07 Graeme Geldenhuys New Issue
2006-03-26 04:07 Graeme Geldenhuys Widgetset => GTK, GTK 2
2006-03-26 04:23 Vincent Snijders Target => 1.0
2006-03-26 04:23 Vincent Snijders Status new => acknowledged
2006-05-29 07:52 Darek Mazur Status acknowledged => assigned
2006-05-29 07:52 Darek Mazur Assigned To => Darek Mazur
2008-04-02 11:20 Paul Ishenin Assigned To Darek Mazur => Paul Ishenin
2008-04-03 02:51 Paul Ishenin Status assigned => resolved
2008-04-03 02:51 Paul Ishenin Fixed in Version => 0.9.25 (SVN)
2008-04-03 02:51 Paul Ishenin Resolution open => not fixable
2008-04-03 02:51 Paul Ishenin Note Added: 0018569
2008-04-24 09:57 Vincent Snijders Target Version => 1.0.0
2008-07-10 01:01 Marc Weustink Status resolved => closed